function T0 = ArmTRo0()
%return the roto-translation matrix from root reference frame to points in
%the 3th reference frame (the reference frame of the shoulder)

DH = DHParams();
% roto-translation matrix from the root reference frame to points in the 0th reference frame
T0 = [[0 -1 0 0] ; [0 0 -1 0] ; [1 0 0 0] ; [0 0 0 1]];

T0 = T0 * EvalDHMatrix(0, DH{1}) * EvalDHMatrix(0, DH{2}) * EvalDHMatrix(0, DH{3});

end

