function  DH = DHParams()
%Returns the Denavit-Hartenberg parameters of the iCub

%% Denavit Harterberg parameters.
DH{1}.A = 32;          DH{1}.D = 0;          DH{1}.alpha = pi/2;       DH{1}.offset = 0;
DH{2}.A = 0;           DH{2}.D = 0;          DH{2}.alpha = pi/2;       DH{2}.offset = -pi/2;
DH{3}.A = -23.3647;    DH{3}.D = -143.3;     DH{3}.alpha = pi/2;       DH{3}.offset = -pi/2 - 15 * pi/180;
DH{4}.A = 0;           DH{4}.D = -107.74;    DH{4}.alpha = pi/2;       DH{4}.offset = -pi/2;
DH{5}.A = 0;           DH{5}.D = 0;          DH{5}.alpha = -pi/2;      DH{5}.offset = -pi/2;
DH{6}.A = 0;           DH{6}.D = -152.28;    DH{6}.alpha = -pi/2;      DH{6}.offset = -pi/2 - 15 * pi/180;
DH{7}.A = 15;          DH{7}.D = 0;          DH{7}.alpha = pi/2;       DH{7}.offset = 0;
DH{8}.A = 0;           DH{8}.D = -137.3;     DH{8}.alpha = pi/2;       DH{8}.offset = -pi/2;
DH{9}.A = 0;           DH{9}.D = 0;          DH{9}.alpha = pi/2;       DH{9}.offset = pi/2;
DH{10}.A = 62.5;       DH{10}.D = 16;        DH{10}.alpha = 0;         DH{10}.offset = pi;

end

