function [ LB, UB ] = JointLimits()
%Returns the joint limits of the actuated joints of the iCub

%% Joint limits
LB = [-95   0       -37     5.5] * pi/180; %lower bound
UB = [5     160.8   100     106] * pi/180; %upper bound

end

