
%%% read dataset (should be structured based on classes)
datasetFolder='LASA_Handwriting_Dataset\DataSet\';
RsqrThreshold=0.4;

shapeFiles=dir([datasetFolder '*.mat']);
for ifile=1:length(shapeFiles)
    load([datasetFolder shapeFiles(ifile).name])
    R2iw=[];
    if isnumeric(demos{1})
        %PowerLawCompliance(demos{1}(1:2,:)',dt)
    else
        demoarray=cell2mat(demos);
        positions=cat(3,demoarray.pos);
        dts=cat(1,demoarray.dt);
        
        AnalyzeDemosPowerLaw(positions,dts,RsqrThreshold)
        h=suptitle(shapeFiles(ifile).name);  set(h,'interpreter','none')
    end
end