function TestAnimate( targetpos )

figure;

target.position = targetpos;
target.radius = 10;
obstacle.exists = 0;

cd ../fwd-inv-kinematics

[q, err] = InverseKinematics(target.position);

cd ../visualization

numStep = 20;
q_step = q / numStep;

current_q = [0 0 0 0];

for(i=1:numStep)
    
    current_q = current_q + q_step;
    AnimateiCub(current_q , target, obstacle);
    pause(0.002);
end

end

