classdef BenchmarkGUI < handle
    %PADDLEGUI Summary of this class goes here
    %   Detailed explanation goes here
    
    properties
        app = [];
        f = [];
        
        BenchmarkPanel = [];
        statePanel = [];
        varPanel = [];
    end
    
    methods
        function gui = BenchmarkGUI(app)
            gui.app = app;

            gui.f = figure('Visible','off','Position',[450,300,950,850]);
            set(gui.f,'MenuBar','none');
            set(gui.f,'Units','normalized');
            set(gui.f,'Name','Benchmark GUI');
            movegui(gui.f,'center');
            set(gui.f,'Visible','on','position',[0.2560    0.0629    0.5655    0.8810]);
            
            gui.BenchmarkPanel = uipanel('Title', 'Main Menu',...
                'Units','normalized',...
                'Position', [0     0.7    0.499    0.29],...
                'FontSize', 12, 'BackgroundColor', 'white');
            gui.statePanel = uipanel('Title', 'Parameters',...
                'Units','normalized',...
                'Position', [0.501     0.7    0.499    0.29],...
                'FontSize', 12, 'BackgroundColor', 'white');
            gui.varPanel = uipanel(...%'Title', 'Benchmark',...
                'Units','normalized',...
                'Position', [0 0 1.0000    0.696],...
                'FontSize', 12, 'BackgroundColor', 'white');
        end
        
              

    end
    
end
