function [ output_params ] = GenRandomParameters( input_params )
%PARSEPARAMETERVALUE Summary of this function goes here
%   Detailed explanation goes here

output_params = input_params;
fn = fieldnames(input_params);
    for n = 1:length(fn)
        value = input_params.(fn{n});
        if(ischar(value))
            if(~isempty(strfind(value, '%rand%'))) %the value is described as random
                disp('randomizing');
                iNumVal = strfind(value, '%numVal%');
                iDim = strfind(value, '%dim%');
                iMinVal = strfind(value, '%minVal%');
                iMaxVal = strfind(value, '%maxVal%');
                
                sNumVal = iNumVal + length('%numVal%');
                sDim = iDim + length('%dim%');
                sMinVal = iMinVal + length('%minVal%');
                sMaxVal = iMaxVal + length('%maxVal%');
                
                numVal = str2num(value(sNumVal : iDim-1));
                dim = str2num(value(sDim : iMinVal-1));
                minVal = str2num(value(sMinVal : iMaxVal-1));
                maxVal = str2num(value(sMaxVal : end));
                
                interval = maxVal - minVal;
                output_params.(fn{n}) = rand(dim, numVal) * interval + minVal;
            end
        end
    end
end

